{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/messageStuff.js" %}'></script> 
    <div class="w3-container w3-margin w3-padding w3-border-bottom" style="color: #3f51b5;" > <h5><i class="far fa-chart-bar fa-2x"></i> {% trans 'Board Table' %}</h5></div>

    <div class="w3-container w3-margin w3-padding w3-border-bottom" style="color: #616161;" > <h6>{% trans 'Your Domain' %} : {{ domainName }} </h6></div>
    
    <div class="w3-container w3-margin w3-padding w3-border-bottom" style="color: #616161;" > <h6>{% trans 'UUID' %}  {{ domainUuid }}</h6></div>
    
    <div class="w3-row w3-margin w3-padding" style='width:75%'>
        <div class="w3-col m4 l3 w3-card w3-padding">
            <div class="w3-border-bottom w3-padding-16"> <i class="fas fa-user fa-2x"></i> {% trans 'Users' %}</div>
            <ul class="w3-ul">
                <li class="w3-bar w3-padding-16"  style="font-weight: bolder;"> {% trans 'Total' %} : {{ domainCounters.domainUsers }}</li>
                <li class="w3-bar w3-padding-16">{% trans 'Disabled' %} : {{ domainCounters.domainDisabledUser }}</li>
                <li class="w3-bar w3-padding-16">{% trans 'adminDomain' %} : {{ domainCounters.domainAdmin }}</li>
                <li class="w3-bar w3-padding-16">{% trans 'Dispatcher' %} : {{ domainCounters.domainDispatcher }}</li>
            </ul>
        </div> 
        
        <div class="w3-col l1">
        &nbsp;
        </div> 
        
        <div class="w3-col m4 l3 w3-card w3-padding">
            <div class="w3-border-bottom w3-padding-16"> <i class="fas fa-users fa-2x"></i> {% trans 'Groups' %}</div>
            <ul class="w3-ul">
                <li class="w3-bar w3-padding-16" style="font-weight: bolder;"> {% trans 'Total' %} : {{ domainCounters.domainGroup }}</li>
            </ul>
        </div> 
        
        <div class="w3-col l1">
        &nbsp;
        </div> 
        
        <div class="w3-col m4 l3 w3-card w3-padding">
            <div class="w3-border-bottom w3-padding-16"> <i class="far fa-envelope fa-2x"></i> {% trans 'Messages' %}</div>
            <ul class="w3-ul">
                <li class="w3-bar w3-padding-16" style="font-weight: bolder;"> {% trans 'Total' %} : {{ domainCounters.domainMessage }}</li>
                <li class="w3-bar w3-padding-16"> {% trans 'Incoming' %} : {{ domainCounters.domainMessageIncoming }}</li>
                <li class="w3-bar w3-padding-16"> {% trans 'Outgoing' %} : {{ domainCounters.domainMessageOutgoing }}</li>
                <li class="w3-bar w3-padding-16" style="font-weight: bolder; color: #3f51b5;"> {% trans 'UnDistributed' %} : {{ domainCounters.domainMessageUndistributed }}</li>
            </ul>
        </div> 
    </div>
    
    
    <div class="w3-container w3-margin w3-padding w3-border-bottom" style="color: #616161;" > <h6>{% trans 'MongoDB Instance' %}</h6></div>
    <div class="w3-row w3-margin w3-padding" style='width:75%'>
        <div class="w3-col m4 l3 w3-card w3-padding">
            <div class="w3-border-bottom w3-padding-16"> <i class="fas fa-database fa-2x"></i> {% trans 'Database' %}</div>
            <ul class="w3-ul">
                <li class="w3-bar w3-padding-16"  style="font-weight: bolder;"> {% trans 'Name' %} : {{ dbstat.db }}</li>
                <li class="w3-bar w3-padding-16">{% trans 'Collections' %} : {{ dbstat.collections }}</li>
                <li class="w3-bar w3-padding-16">{% trans 'Objects' %} : {{ dbstat.objects }}</li>
            </ul>
        </div> 
        
        <div class="w3-col l1">
        &nbsp;
        </div> 
        
        <div class="w3-col m4 l3 w3-card w3-padding">
            <div class="w3-border-bottom w3-padding-16"> <i class="far fa-file fa-2x"></i> {% trans 'Stored Data' %}</div>
            <ul class="w3-ul">
                <li class="w3-bar w3-padding-16"> {% trans 'dbStorageSize' %} : <script> printBytesToSize("{{ dbstat.storageSize|add:"0" }}") </script></li>
                <li class="w3-bar w3-padding-16"> {% trans 'dbIndexSize' %} : <script> printBytesToSize("{{ dbstat.indexSize|add:"0" }}") </script></li>
                <li class="w3-bar w3-padding-16" style="font-weight: bolder;"> {% trans 'Total' %} : <script> printBytesToSize("{{ dbstat.totalSize|add:"0" }}") </script></li>
            </ul>
        </div> 
        
        <div class="w3-col l1">
        &nbsp;
        </div> 
        
        <div class="w3-col m4 l3 w3-card w3-padding">
            <div class="w3-border-bottom w3-padding-16"> <i class="fas fa-server fa-2x"></i> {% trans 'Partition Status' %}</div>
            <ul class="w3-ul">
                <li class="w3-bar w3-padding-16"> {% trans 'partitionSize' %} : <script> printBytesToSize("{{ dbstat.fsTotalSize|add:"0" }}") </script></li>
                <li class="w3-bar w3-padding-16"> {% trans 'partitionUsedSize' %} : <script> printBytesToSize("{{ dbstat.fsUsedSize|add:"0" }}") </script></li>
            </ul>
        </div> 
    </div>
    
{% endblock %}
